
.banquet-section {
     background-color: #f5f2ed; padding: 10px 0; 
    }
.banquet-container { 
    max-width: 1100px; margin: 0 auto; display: flex; align-items: center; justify-content: center;
 }
.white-card { 
    background: white; width: 90%; padding: 170px 70px; z-index: 1; 
}
.side-img { 
    position: absolute; top: 50%; transform: translateY(-50%); width: 460px; height: 600px; z-index: 2; overflow: hidden; border-radius:15px; 
}
.left-img { left: -130px; }
.right-img { right: -130px; }
.shutter-wrapper { width: 100%; height: 100%; overflow: hidden; border-radius: 5px; }
.side-img img { width: 100%; height: 100%; object-fit: cover; }
.text-dark-green { color: #0b4a3f; font-family: 'Playfair Display', serif; }
.active .shutter-wrapper { animation: shutterReveal 4s infinite ease-in-out; }

@keyframes shutterReveal {
    0% { clip-path: inset(0 100% 0 0); transform: scale(1.1); }
    40%, 60% { clip-path: inset(0 0 0 0); transform: scale(1); }
    100% { clip-path: inset(0 0 0 100%); transform: scale(1.1); }
}

/* --- BUTTON */
.btn-custom {
    padding: 8px 10px 8px 25px;
    border-radius: 50px;
    text-decoration: none;
    font-size: 15px;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    gap: 15px; 
    transition: 0.3s;
}

.btn-custom.outline { border: 1px solid #0b4a3f; color: #0b4a3f; }
.btn-custom.filled { background-color: #4CAF50; color: white; border: 1px solid #0b4a3f  ; }

/* Arrow Circle */
.arrow-circle {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 1px solid currentColor; 
    font-size: 18px;
    line-height: 0;
    padding-bottom: 2px; 
}

.btn-custom:hover {
    background-color: #0b4a3f;
    color: white;
    border-color: #0b4a3f;
}
/* --- Mobile Responsive*/
@media (max-width: 991px) {

    .banquet-container {
        flex-direction: column !important;
        padding: 20px 10px !important;
    }

    /* 1. White Card*/
    .white-card {
        width: 100% !important;
        padding: 30px 15px !important; 
        margin-top: 190px !important; 
        margin-bottom: 190px !important; 
        text-align: center !important;
        box-shadow: 0 10px 30px rgba(0,0,0,0.05) !important;
    }

    /* 2. Side Images*/
    .side-img {
        position: absolute !important;
        width: 85% !important; 
        height: 180px !important; 
        left: 50% !important;
        transform: translateX(-50%) !important;
        z-index: 3 !important;
    }

    .left-img { top: 0 !important; }

    .right-img {
        top: auto !important;
        bottom: 0 !important; 
        transform: translateX(-50%) !important;
    }

    /* Buttons*/
    .btn-custom {
        margin: 8px auto !important;
        padding: 6px 15px !important; 
        font-size: 13px !important; 
        display: inline-flex !important;
        justify-content: center !important;
        width: 170px !important; 
        gap: 8px !important;
    }


    .arrow-circle {
        width: 24px !important;
        height: 24px !important;
        font-size: 14px !important;
    }

    /* 4. Text */
    .text-dark-green {
        font-size: 1.6rem !important; 
        margin-bottom: 10px !important;
    }
}